## org.hibernate.ejb
Class TransactionImpl

    java.lang.Object
      org.hibernate.ejb.TransactionImpl

All Implemented Interfaces:
  EntityTransaction

    public class TransactionImpl

extends Object
implements EntityTransaction

Constructor Summary
`TransactionImpl(AbstractEntityManagerImpl entityManager)`

Method Summary
`void` `begin()`
`void` `commit()`
`boolean` `getRollbackOnly()`
`boolean` `isActive()`
`void` `rollback()`
`void` `setRollbackOnly()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionImpl

    public TransactionImpl(AbstractEntityManagerImpl entityManager)

Method Detail

### begin

    public void begin()

  Specified by:
    `begin` in interface `EntityTransaction`

### commit

    public void commit()

  Specified by:
    `commit` in interface `EntityTransaction`

### rollback

    public void rollback()

  Specified by:
    `rollback` in interface `EntityTransaction`

### setRollbackOnly

    public void setRollbackOnly()

  Specified by:
    `setRollbackOnly` in interface `EntityTransaction`

### getRollbackOnly

    public boolean getRollbackOnly()

  Specified by:
    `getRollbackOnly` in interface `EntityTransaction`

### isActive

    public boolean isActive()

  Specified by:
    `isActive` in interface `EntityTransaction`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.